## org.eclipse.uml2.uml
Interface ConsiderIgnoreFragment

All Superinterfaces:
  CombinedFragment, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, InteractionFragment, NamedElement, org.eclipse.emf.common.notify.Notifier

    public interface ConsiderIgnoreFragment

extends CombinedFragment

A representation of the model object 'Consider Ignore Fragment'. A consider ignore fragment is a kind of combined fragment that is used for the consider and ignore cases, which require lists of pertinent messages to be specified.

The following features are supported:

- `Message`

See Also:
  `UMLPackage.getConsiderIgnoreFragment()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`NamedElement` `getMessage(java.lang.String name)` Retrieves the first `NamedElement` with the specified 'Name' from the 'Message' reference list
`NamedElement` `getMessage(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `NamedElement` with the specified 'Name' from the 'Message' reference list
`org.eclipse.emf.common.util.EList<NamedElement>` `getMessages()` Returns the value of the 'Message' reference list.
`boolean` `validateConsiderOrIgnore(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The interaction operator of a ConsiderIgnoreFragment must be either 'consider' or 'ignore'.
`boolean` `validateType(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The NamedElements must be of a type of element that identifies a message (e.g., an Operation, Reception, or a Signal).

Methods inherited from interface org.eclipse.uml2.uml.CombinedFragment
`createCfragmentGate, createOperand, getCfragmentGate, getCfragmentGate, getCfragmentGates, getInteractionOperator, getOperand, getOperand, getOperands, setInteractionOperator, validateBreak, validateConsiderAndIgnore, validateMinintAndMaxint, validateOptLoopBreakNeg`

Methods inherited from interface org.eclipse.uml2.uml.InteractionFragment
`createGeneralOrdering, getCovered, getCovered, getCovereds, getEnclosingInteraction, getEnclosingOperand, getGeneralOrdering, getGeneralOrdering, getGeneralOrderings, setEnclosingInteraction, setEnclosingOperand`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMessages

    org.eclipse.emf.common.util.EList<NamedElement> getMessages()

  Returns the value of the 'Message' reference list. The list contents are of type `NamedElement`. The set of messages that apply to this fragment

  Returns:
    the value of the 'Message' reference list.
  See Also:
    `UMLPackage.getConsiderIgnoreFragment_Message()`

### getMessage

    NamedElement getMessage(java.lang.String name)

  Retrieves the first `NamedElement` with the specified 'Name' from the 'Message' reference list.

  Parameters:
    `name` - The 'Name' of the `NamedElement` to retrieve, or `null`.
  Returns:
    The first `NamedElement` with the specified 'Name', or `null`.
  See Also:
    `getMessages()`

### getMessage

    NamedElement getMessage(java.lang.String name,
                            boolean ignoreCase,
                            org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `NamedElement` with the specified 'Name' from the 'Message' reference list.

  Parameters:
    `name` - The 'Name' of the `NamedElement` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `NamedElement` to retrieve, or `null`.
  Returns:
    The first `NamedElement` with the specified 'Name', or `null`.
  See Also:
    `getMessages()`

### validateConsiderOrIgnore

    boolean validateConsiderOrIgnore(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  The interaction operator of a ConsiderIgnoreFragment must be either 'consider' or 'ignore'. (interactionOperator = #consider) or (interactionOperator = #ignore)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateType

    boolean validateType(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                         java.util.Map<java.lang.Object,java.lang.Object> context)

  The NamedElements must be of a type of element that identifies a message (e.g., an Operation, Reception, or a Signal). message->forAll(m | m.oclIsKindOf(Operation) or m.oclIsKindOf(Reception) or m.oclIsKindOf(Signal))

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.